Retrieve Account Activities

Returns a list of activities

Notes:

  • Pagination is handled using the page_token and page_size parameters.
  • page_token represents the ID of the last item on your current page of results. For example, if the ID of the last activity in your first response is 20220203000000000::045b3b8d-c566-4bef-b741-2bf598dd6ae7, you would pass that value as page_token to retrieve the next page of results.
Query Params
activity_types
array of objects

A comma-separated list of activity types used to filter the results.

activity_types
string
enum

The activity category. Cannot be used with "activity_types" parameter.

Allowed:
date-time

Filter activities by the activity date. Both formats YYYY-MM-DD and YYYY-MM-DDTHH:MM:SSZ are supported.

date-time

Get activities created before this date. Both formats YYYY-MM-DD and YYYY-MM-DDTHH:MM:SSZ are supported.

date-time

Get activities created after this date. Both formats YYYY-MM-DD and YYYY-MM-DDTHH:MM:SSZ are supported.

string
enum
Defaults to desc

The chronological order of response based on the activity datetime.

Allowed:
integer
1 to 100
Defaults to 100

The maximum number of entries to return in the response.

string

Token used for pagination. Provide the ID of the last activity from the last page to retrieve the next set of results.

Response

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json